import { Save } from "./load";
declare type PackageNames = {
    [name: string]: true;
};
declare type State = {
    start: number;
    index: number;
    end: number;
    progress: number;
    elapsed: number;
    packageNames: PackageNames;
};
declare type SyncOptions = {
    onStart?: (state: State) => void;
    onData?: (state: State) => void;
    onEnd?: (state: State) => void;
};
export declare function sync({ onData, onStart, onEnd }?: SyncOptions): Promise<Save>;
export declare function syncAction(): void;
declare const _default: import("commander").Command;
export default _default;
